## libsdl3-ttf 3.1.0%2Bds

=== debian/tests/control ===
Tests: libsdl3-ttf-dev
Restrictions: allow-stderr, superficial
Depends:
 build-essential,
 cmake,
 file,
 fonts-cantarell,
 libsdl3-ttf-dev,
 ninja-build,
 pkgconf,
 xauth,
 xvfb,
