## libsdl3-ttf 3.1.0+ds

=== debian/changelog ===
libsdl3-ttf (3.1.0+ds-1) unstable; urgency=medium

  * New upstream preview release
  * d/control: Increase dependency on libharfbuzz-dev as per CMakelists.txt
  * d/copyright, d/clean: Exclude DXIL and MSL shader files
  * d/clean, d/build-shaders.sh: Rebuild HLSL shaders using glslang
  * d/p/debian/examples-Stub-out-support-for-Windows-and-macOS-shader-fo.patch:
    Drop patch, solved differently in build-shaders.sh
  * d/rules: Enable strict handling of dependencies
  * d/rules: Disable colour emoji (plutosvg) for now.
    plutosvg and its dependency plutovg are not currently packaged in
    Debian, so enabling this feature would require either packaging
    them separately, or repacking SDL_ttf to include upstream's vendored
    copies.
  * d/libsdl3-ttf0.symbols: Increase minimum required version to 3.1.0.
    This is the first version that is intended to be ABI-stable, so any
    dependent package should be generating a dependency on this version
    and not on older snapshots.
    Note that ABI of TTF_Direction and TTF_SubStringFlags in this version
    is not the same as in the snapshots in experimental.
  * d/tests/libsdl3-ttf-dev: Adjust to new command-line syntax in showfont
  * d/watch: Watch for upstream preview releases
  * Upload to unstable, now that we have a preview release.
    This is not targeted for trixie at this stage: the first version
    suitable for inclusion in trixie is expected to be 3.2.0
    (see #1095059).

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Feb 2025 18:12:18 +0000

libsdl3-ttf (3~git20250124~a7040ba+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/*.docs: README.txt was renamed to README.md
  * d/copyright: Exclude docs/hello.c, which contains a hex-dump of a
    third-party font without obvious source code

 -- Simon McVittie <smcv@debian.org>  Fri, 24 Jan 2025 11:57:08 +0000

libsdl3-ttf (3~git20250111~baf2e57+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 prerelease 3.1.10
  * d/salsa-ci.yml: Add
  * d/copyright:
    Convenience copy of Noto Sans Mono no longer needs to be excluded
  * d/p/testgputext-Don-t-crash-if-the-desired-font-cannot-be-fou.patch,
    d/p/testgputext-Allow-a-font-filename-to-be-given-on-the-comm.patch,
    d/p/debian/build-Create-a-symlink-to-packaged-Noto-Sans-instead-of-v.patch:
    Remove patches, applied or obsoleted upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 19 Jan 2025 17:26:09 +0000

libsdl3-ttf (3~git20250107~2822076+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 prerelease 3.1.8
  * d/copyright: Update
  * d/libsdl3-ttf0.symbols: Update
  * d/libsdl3-ttf-tests.install: Install new testgputext example
  * d/p/testgputext-Don-t-crash-if-the-desired-font-cannot-be-fou.patch,
    d/p/testgputext-Allow-a-font-filename-to-be-given-on-the-comm.patch:
    Add proposed patches to make testgputext more useful as a manual test
  * d/rules: Regenerate shaders at build-time
  * d/copyright,
    d/p/debian/examples-Stub-out-support-for-Windows-and-macOS-shader-fo.patch:
    Exclude Windows and macOS shader headers, which cannot be regenerated
    by glslang-tools and are not needed by any Debian architectures
  * d/copyright,
    d/p/debian/build-Create-a-symlink-to-packaged-Noto-Sans-instead-of-v.patch:
    Exclude convenience copy of Noto Sans Mono

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Jan 2025 17:36:49 +0000

libsdl3-ttf (3~git20241102~f20defe+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 prerelease 3.1.6
  * Bump SDL3 dependency to 3.1.6 for new APIs used
  * d/libsdl3-ttf-dev.install: Install all headers
  * d/libsdl3-ttf0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Nov 2024 19:14:18 +0000

libsdl3-ttf (3~git20241004~5992548+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 prerelease 3.1.3
  * d/copyright: Update
  * Update symbols file (many ABI breaks)
  * d/tests/libsdl3-ttf-dev: Update list of sources for showfont demo

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Oct 2024 18:31:41 +0100

libsdl3-ttf (3~git20240906~8cb1095+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update file exclusion rules
  * Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Sep 2024 21:08:28 +0100

libsdl3-ttf (3~git20240901~d4b137f+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: (Build-)Depend on a corresponding libsdl3 snapshot
  * d/rules: Update build option names
  * Standards-Version: 4.7.0 (no changes required)
  * Add proposed patch to build successfully against latest SDL3 snapshot

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Sep 2024 21:29:36 +0100

libsdl3-ttf (3~git20240717~5b6171c+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: (Build-)Depend on a corresponding libsdl3 snapshot
  * d/libsdl3-ttf0.symbols: Update
  * Update list of man pages to install

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Jul 2024 17:01:59 +0100

libsdl3-ttf (3~git20240508~1ee075d+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL 3.1.2
    - Depend on a corresponding SDL3 prerelease
  * d/rules: Build man pages if and only if we are building -doc package

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Jun 2024 14:37:29 +0100

libsdl3-ttf (3~git20240320~6e260a2+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - Depend on a corresponding SDL3 prerelease
  * d/libsdl3-ttf0.symbols: Update (including upstream ABI breaks)

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Mar 2024 18:43:59 +0000

libsdl3-ttf (3~git20240121~f401d29+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/libsdl3-ttf0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jan 2024 12:36:18 +0000

libsdl3-ttf (3~git20240115~c61566a+ds-1) experimental; urgency=medium


