=== debian/control ===
Source: libsdl3-ttf
Section: libs
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13),
               fonts-noto-mono <!nocheck> <!noinsttest>,
               glslang-tools,
               libfreetype-dev,
               libharfbuzz-dev (>= 2.3.1),
               libsdl3-dev (>= 3.1.6~),
               pkgconf,
               xxd,
Homepage: https://www.libsdl.org/projects/SDL_ttf/
Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl3-ttf
Vcs-Git: https://salsa.debian.org/sdl-team/libsdl3-ttf.git


Package: libsdl3-ttf0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: TrueType Font library for Simple DirectMedia Layer 3, libraries
 Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
 render text in SDL applications.
 .
 This package contains the shared library.

Package: libsdl3-ttf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libc6-dev,
         libfreetype-dev,
         libharfbuzz-dev,
         libsdl3-dev (>= 3.1.6~),
         libsdl3-ttf0 (= ${binary:Version})
Description: TrueType Font library for Simple DirectMedia Layer 3, development files
 Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
 render text in SDL applications.
 .
 This package contains the development files.

Package: libsdl3-ttf-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
Description: TrueType Font library for Simple DirectMedia Layer 3 - documentation
 Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
 render text in SDL applications.
 .
 This package contains the reference manual and examples.

Package: libsdl3-ttf-tests
Build-Profiles: <!noinsttest>
Architecture: any
Section: misc
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libsdl3-ttf0 (= ${binary:Version}),
Description: TrueType Font library for Simple DirectMedia Layer 3 - tests
 Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
 render text in SDL applications.
 .
 This package contains manual tests. Automated tests will be added to this
 package if they become available upstream.
