## libsdl3-ttf 3.1.2+ds

=== debian/changelog ===
libsdl3-ttf (3.1.2+ds-1) unstable; urgency=medium

  [ Fabian Greffrath ]
  * tests: switch from fonts-cantarell to fonts-freefont-otf

  [ Simon McVittie ]
  * New upstream preview release
  * d/watch.git: Update
  * d/libsdl3-ttf0.symbols: Update
  * d/control: Require SDL 3.2.0 stable release
  * d/control, d/copyright: Update upstream project URLs

 -- Simon McVittie <smcv@debian.org>  Tue, 25 Feb 2025 16:46:56 +0000
