=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                glslang-tools,
                libfreetype-dev,
                libharfbuzz-dev (>= 2.3.1),
-               libsdl3-dev (>= 3.1.6~),
+               libsdl3-dev (>= 3.2.0),
                pkgconf,
                xxd,
-Homepage: https://www.libsdl.org/projects/SDL_ttf/
+Homepage: https://github.com/libsdl-org/SDL_ttf
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl3-ttf
 Vcs-Git: https://salsa.debian.org/sdl-team/libsdl3-ttf.git
 
@@ -39,7 +39,7 @@
          libc6-dev,
          libfreetype-dev,
          libharfbuzz-dev,
-         libsdl3-dev (>= 3.1.6~),
+         libsdl3-dev (>= 3.2.0),
          libsdl3-ttf0 (= ${binary:Version})
 Description: TrueType Font library for Simple DirectMedia Layer 3, development files
  Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
