## libsdl3-ttf 3.2.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                glslang-tools,
                libfreetype-dev,
                libharfbuzz-dev (>= 2.3.1),
-               libsdl3-dev (>= 3.2.0),
+               libsdl3-dev (>= 3.2.6),
                pkgconf,
                xxd,
 Homepage: https://github.com/libsdl-org/SDL_ttf
@@ -39,7 +39,7 @@
          libc6-dev,
          libfreetype-dev,
          libharfbuzz-dev,
-         libsdl3-dev (>= 3.2.0),
+         libsdl3-dev (>= 3.2.6),
          libsdl3-ttf0 (= ${binary:Version})
 Description: TrueType Font library for Simple DirectMedia Layer 3, development files
  Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
