## libsdl3-ttf 3.2.0+ds

=== debian/changelog ===
libsdl3-ttf (3.2.0+ds-1) unstable; urgency=medium

  * First upstream stable release (Closes: #1095059)
  * Depend on SDL 3.2.6 as per CMakeLists.txt
  * d/libsdl3-ttf0.symbols: Bump version to 3.2.0 for all symbols.
    Let's make sure all dependent packages that were compiled against
    the stable release pick up a dependency on the stable release.

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Mar 2025 11:03:17 +0000
