## libsdl3-ttf 3.2.2+ds

=== debian/changelog ===
libsdl3-ttf (3.2.2+ds-1) unstable; urgency=medium

  * New upstream stable release
  * d/copyright: Update file exclusions
  * d/libsdl3-ttf0.symbols: Update
  * d/p/Updated-the-version-that-TTF_GetFontWeight-became-availab.patch,
    d/p/Clarified-that-you-should-keep-the-IOStream-opened-until-.patch:
    Add some post-release documentation fixes from upstream
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 06 Apr 2025 14:51:58 +0100
